Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: shorewall

Interfaces

### Description:

Shoreline Firewall high-level tool for configuring netfilter.

### Interfaces:

shorewall_admin( domain , role )

##### Summary

All of the rules required to administrate an shorewall environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

shorewall_domtrans( domain )

##### Summary

Execute a domain transition to run shorewall.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

shorewall_lib_domtrans( domain )

##### Summary

Execute a domain transition to run shorewall using executables from /var/lib.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

shorewall_read_config( domain )

##### Summary

Read shorewall configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

shorewall_read_lib_files( domain )

##### Summary

Read shorewall lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

shorewall_read_pid_files( domain )

##### Summary

Read shorewall pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

shorewall_read_tmp_files( domain )

##### Summary

Read shorewall temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

shorewall_rw_lib_files( domain )

##### Summary

Read and write shorewall lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

shorewall_rw_pid_files( domain )

##### Summary

Read and write shorewall pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return